# $Revision: 1.46 $, $Date: 2010/07/12 14:57:37 $
Summary:	Geometric puzzles and toys for the X Window System
Summary(pl.UTF-8):	Geometryczne układanki i zabawki pod X Window System
Name:		xpuzzles
Version:	7.6.3
Release:	1
License:	MIT
Group:		X11/Applications/Games
Source0:	http://www.tux.org/pub/tux/xpuzzles/%{name}-%{version}.tar.bz2
# Source0-md5:	ad4249a6b078dbc39585a1271d09faf4
Source1:	xbarrel.desktop
Source2:	xcubes.desktop
Source3:	xdino.desktop
Source4:	xhexagons.desktop
Source5:	xmball.desktop
Source6:	xmlink.desktop
Source7:	xoct.desktop
Source8:	xpanex.desktop
Source9:	xpyraminx.desktop
Source10:	xrubik.desktop
Source11:	xskewb.desktop
Source12:	xthreed.desktop
Source13:	xtriangles.desktop
URL:		http://www.tux.org/~bagleyd/puzzles.html
BuildRequires:	openmotif-devel
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-cf-files
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-util-gccmakedep
BuildRequires:	xorg-util-imake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A set of geometric puzzles and toys for the X Window System. Xpuzzles
includes a version of Rubik's cube and various other geometric Rubik's
cube style puzzles.

%description -l pl.UTF-8
Zestaw geometrycznych układanek i zabawek pod X Window System. Zawiera
wersję kostki Rubika i różne inne układanki w tym stylu.

%prep
%setup -q
%{__sed} -i 's,/usr/games,/usr/bin,' `find -name "*.man"`

%build
%{__make} -f xpuzzles.Makefile xmkmf
%{__make} -f xpuzzles.Makefile \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	LOCAL_LDFLAGS="%{rpmldflags}" \
	XMDEF="-DHAVE_MOTIF" \
	XMLIB="-lXm"

# not included in xpuzzles.Makefile
cd threed
xmkmf
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	LOCAL_LDFLAGS="%{rpmldflags}" \
	XMDEF="-DHAVE_MOTIF" \
	XMLIB="-lXm" \
	DATAFILE="%{_datadir}/misc/xthreed.dat"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT/var/games/xpuzzles

%{__make} -f xpuzzles.Makefile install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir}

# not included in xpuzzles.Makefile
%{__make} -C threed install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir}

for d in `find . -type d -maxdepth 1 -mindepth 1 | grep -v dial` ; do
	%{__make} -C $d install.man \
		DESTDIR=$RPM_BUILD_ROOT \
		MANDIR=%{_mandir}/man1
done

install %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
	%{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE11} %{SOURCE12} \
	%{SOURCE13} $RPM_BUILD_ROOT%{_desktopdir}

install barrel/pixmaps/normal.barrel.png $RPM_BUILD_ROOT%{_pixmapsdir}/xbarrel.png
install cubes/pixmaps/normal.cubes.png $RPM_BUILD_ROOT%{_pixmapsdir}/xcubes.png
install dino/pixmaps/normal.dino.png $RPM_BUILD_ROOT%{_pixmapsdir}/xdino.png
install hexagons/pixmaps/normal.hexagons.png $RPM_BUILD_ROOT%{_pixmapsdir}/xhexagons.png
install mball/pixmaps/normal.mball.png $RPM_BUILD_ROOT%{_pixmapsdir}/xmball.png
install mlink/pixmaps/normal.mlink.png $RPM_BUILD_ROOT%{_pixmapsdir}/xmlink.png
install oct/pixmaps/normal.oct.png $RPM_BUILD_ROOT%{_pixmapsdir}/xoct.png
install panex/pixmaps/normal.panex.png $RPM_BUILD_ROOT%{_pixmapsdir}/xpanex.png
install pyraminx/pixmaps/normal.pyraminx.png $RPM_BUILD_ROOT%{_pixmapsdir}/xpyraminx.png
install rubik/pixmaps/normal.rubik.png $RPM_BUILD_ROOT%{_pixmapsdir}/xrubik.png
install skewb/pixmaps/normal.skewb.png $RPM_BUILD_ROOT%{_pixmapsdir}/xskewb.png
install threed/pixmaps/normal.threed.png $RPM_BUILD_ROOT%{_pixmapsdir}/xthreed.png
install triangles/pixmaps/normal.triangles.png $RPM_BUILD_ROOT%{_pixmapsdir}/xtriangles.png

touch $RPM_BUILD_ROOT/var/games/xpuzzles/{barrel,cubes,dino,hexagons,mball,mlink,oct,panex,pyraminx,rubik,skewb,threed,triangles}.scores

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 002
touch /var/games/xpuzzles/{barrel,cubes,dino,hexagons,mball,mlink,oct,panex,pyraminx,rubik,skewb,threed,triangles}.scores
chgrp games /var/games/xpuzzles/{barrel,cubes,dino,hexagons,mball,mlink,oct,panex,pyraminx,rubik,skewb,threed,triangles}.scores

%files
%defattr(644,root,root,755)
%doc xpuzzles.README
%attr(755,root,root) %{_bindir}/xbarrel
%attr(755,root,root) %{_bindir}/xcubes
%attr(755,root,root) %{_bindir}/xdino
%attr(755,root,root) %{_bindir}/xhexagons
%attr(755,root,root) %{_bindir}/xmball
%attr(755,root,root) %{_bindir}/xmlink
%attr(755,root,root) %{_bindir}/xoct
%attr(755,root,root) %{_bindir}/xpanex
%attr(755,root,root) %{_bindir}/xpyraminx
%attr(755,root,root) %{_bindir}/xrubik
%attr(755,root,root) %{_bindir}/xskewb
%attr(755,root,root) %{_bindir}/xthreed
%attr(755,root,root) %{_bindir}/xtriangles
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%dir /var/games/xpuzzles
%attr(664,root,games) %ghost /var/games/xpuzzles/barrel.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/cubes.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/dino.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/hexagons.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/mball.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/mlink.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/oct.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/panex.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/pyraminx.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/rubik.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/skewb.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/threed.scores
%attr(664,root,games) %ghost /var/games/xpuzzles/triangles.scores
%{_mandir}/man1/xbarrel.1*
%{_mandir}/man1/xcubes.1*
%{_mandir}/man1/xdino.1*
%{_mandir}/man1/xhexagons.1*
%{_mandir}/man1/xmball.1*
%{_mandir}/man1/xmlink.1*
%{_mandir}/man1/xoct.1*
%{_mandir}/man1/xpanex.1*
%{_mandir}/man1/xpyraminx.1*
%{_mandir}/man1/xrubik.1*
%{_mandir}/man1/xskewb.1*
%{_mandir}/man1/xthreed.1*
%{_mandir}/man1/xtriangles.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpuzzles.spec,v $
Revision 1.46  2010/07/12 14:57:37  lisu
- 7.6.3

Revision 1.45  2010/03/29 10:47:42  lisu
- 7.6.2

Revision 1.44  2010/03/18 12:09:10  lisu
- 7.6.1

Revision 1.43  2010/02/01 22:35:05  sparky
- BR: xorg-lib-libXpm-devel, xorg-util-gccmakedep

Revision 1.42  2010/02/01 15:31:33  lisu
- up to 7.6

Revision 1.41  2009/12/03 11:09:22  lisu
- updated to 7.5.1
- switch man.patch to sed

Revision 1.40  2009/07/03 13:39:49  lisu
- up to 7.5

Revision 1.39  2008/12/11 22:13:30  qboosh
- pass rpmldflags (for -as-needed)
- BR: libX11-devel, libXt-devel (used directly)

Revision 1.38  2008/12/08 15:59:31  lisu
- up to 7.4.2
- xorg BRs
- add icons for all games
- fix bogus game name (pyramix -> pyraminx)

Revision 1.37  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.35  2005/12/22 23:22:52  blekot
- up to 7.1.5

Revision 1.34  2005/04/23 08:06:03  ankry
- s/motif/openmotif/ as builders require real, not virtual package names

Revision 1.33  2005/04/21 02:56:00  ankry
- fixed desktop files, rel. 6

Revision 1.32  2004/09/21 01:41:28  ankry
- rel. 5

Revision 1.31  2004/07/19 09:27:55  ankry
- RPM_BUILD_ROOT strikes again; more cofee needed

Revision 1.30  2004/07/19 09:20:43  ankry
- create ghosts...

Revision 1.29  2004/07/19 09:14:22  ankry
- missing

Revision 1.28  2004/07/19 00:11:30  ankry
- fixed path in manpages (-man patch)

Revision 1.27  2004/07/18 16:29:50  qboosh
- perms for score files

Revision 1.26  2004/07/17 23:11:43  ankry
- added score files, rel. 4

Revision 1.25  2004/07/14 07:29:32  qboosh
- actually use these desktop files

Revision 1.24  2004/07/14 00:22:21  ankry
- desktop files as separate sources, rel. 3

Revision 1.23  2004/07/07 12:53:58  ankry
- rel. 2 to rebuild with openmotif-libs-2.2.3-2

Revision 1.22  2004/04/12 16:04:33  qboosh
- updated to 7.0.1, added xbarrel game, removed obsolete link patch
- use motif widgets (no bcond, non-motif build is broken)

Revision 1.21  2004/04/11 22:18:07  qboosh
- updated Source0 URL, added URL, switched to vfolders

Revision 1.20  2004/03/06 23:08:03  adamg
- proper group

Revision 1.19  2003/11/05 23:57:19  qboosh
- updated to 5.7.4

Revision 1.18  2003/10/25 20:13:06  qboosh
- updated to 5.7.3

Revision 1.17  2003/08/18 08:09:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/05/28 13:03:13  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:28:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/19 14:35:15  qboosh
- updated to 5.6.2
- removed obsolete 5.4.1-install and 5.4.1-nobr patches, added link patch
- added xthreed

Revision 1.13  2003/01/18 22:58:57  juandon
- removed two lines with define

Revision 1.12  2002/11/29 22:48:09  ankry
- massive attack: new %doc

Revision 1.11  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:44  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/09/18 10:22:04  qboosh
- updated to 5.5.2 (release 5)

Revision 1.7  2001/05/03 01:14:07  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.6  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.5  2000/06/09 07:24:22  kloczek
- added using %{__make} macro.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:28  baggins
- almost raw
